org.eclipse.emf.cdo.ui.compare

## Class CDOCompareEditorUtil

- java.lang.Object
- - org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil

-     public class CDOCompareEditorUtil
      extends java.lang.Object

  Static methods to open an EMF Compare dialog.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOCompareEditorUtil.Input`
    `static class` | `CDOCompareEditorUtil.TransactionOpenerAndEditorCloser`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROP_COMPARISON_IMAGE`
    `static java.lang.String` | `PROP_COMPARISON_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOCompareEditorUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDisposeRunnables(java.lang.Runnable... disposeRunnables)`
    `static void` | `closeEditorWithTransaction(CDOTransaction transaction)`
    `static void` | `closeTransactionAfterCommit(CDOTransaction transaction)`
    `static CDOCompareEditorUtil.Input` | `createComparisonInput(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
    `static CDOCompareEditorUtil.Input` | `createComparisonInput(CDOView leftView, CDOView rightView, org.eclipse.emf.compare.Comparison comparison)`
    `static CDOCompareEditorUtil.Input` | `createComparisonInput(CDOView leftView, CDOView rightView, java.util.Set<CDOID> affectedIDs)`
    `static boolean` | `isSuppressCommit()`
    `static boolean` | `openDialog(CDOCommitInfo commitInfo)`
    `static boolean` | `openDialog(CDOCommitInfo rightCommitInfo, CDOBranchPoint leftPoint)`
    `static boolean` | `openDialog(CDOCompareEditorUtil.Input input, CDOView rightView)`
    `static boolean` | `openDialog(CDOSession session, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint)`
    `static boolean` | `openDialog(CDOView leftView, CDOView rightView, CDOView[] originView)`
    `static boolean` | `openDialog(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
    `static boolean` | `openDialog(CDOView leftView, CDOView rightView, java.util.Set<CDOID> affectedIDs)`
    `static boolean` | `openDialog(CDOViewOpener viewOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView)`
    `static boolean` | `openDialog(CDOViewOpener viewOpener, CDOTransactionOpener transactionOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView)`
    `static boolean` | `openEditor(CDOCommitInfo commitInfo, boolean activate)`
    `static boolean` | `openEditor(CDOCommitInfo rightCommitInfo, CDOBranchPoint leftPoint, boolean activate)`
    `static boolean` | `openEditor(CDOView leftView, CDOView rightView, CDOView[] originView, boolean activate)`
    `static boolean` | `openEditor(CDOView leftView, CDOView rightView, java.util.Set<CDOID> affectedIDs, boolean activate)`
    `static boolean` | `openEditor(CDOViewOpener viewOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView, boolean activate)`
    `static boolean` | `openEditor(CDOViewOpener viewOpener, CDOTransactionOpener transactionOpener, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint, CDOView[] originView, boolean activate)`
    `static void` | `runWithTitle(java.lang.String title, java.lang.Runnable runnable)`
    `static void` | `setSuppressCommit(boolean suppressCommit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_COMPARISON_LABEL

          public static final java.lang.String PROP_COMPARISON_LABEL

      Since:
        4.4
      See Also:
        Constant Field Values

    - #### PROP_COMPARISON_IMAGE

          public static final java.lang.String PROP_COMPARISON_IMAGE

      Since:
        4.4
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDOCompareEditorUtil

          public CDOCompareEditorUtil()

  - ### Method Detail

    - #### closeTransactionAfterCommit

          public static void closeTransactionAfterCommit(CDOTransaction transaction)

      Since:
        4.4

    - #### closeEditorWithTransaction

          public static void closeEditorWithTransaction(CDOTransaction transaction)

      Since:
        4.4

    - #### openEditor

          public static boolean openEditor(CDOViewOpener viewOpener,
                                           CDOBranchPoint leftPoint,
                                           CDOBranchPoint rightPoint,
                                           CDOView[] originView,
                                           boolean activate)

      Since:
        4.3

    - #### openEditor

          public static boolean openEditor(CDOViewOpener viewOpener,
                                           CDOTransactionOpener transactionOpener,
                                           CDOBranchPoint leftPoint,
                                           CDOBranchPoint rightPoint,
                                           CDOView[] originView,
                                           boolean activate)

      Since:
        4.3

    - #### openEditor

          public static boolean openEditor(CDOCommitInfo rightCommitInfo,
                                           CDOBranchPoint leftPoint,
                                           boolean activate)

      Since:
        4.3

    - #### openEditor

          public static boolean openEditor(CDOCommitInfo commitInfo,
                                           boolean activate)

      Since:
        4.3

    - #### openEditor

          public static boolean openEditor(CDOView leftView,
                                           CDOView rightView,
                                           CDOView[] originView,
                                           boolean activate)

      Since:
        4.3

    - #### openEditor

          public static boolean openEditor(CDOView leftView,
                                           CDOView rightView,
                                           java.util.Set<CDOID> affectedIDs,
                                           boolean activate)

      Since:
        4.4

    - #### openDialog

          public static boolean openDialog(CDOSession session,
                                           CDOBranchPoint leftPoint,
                                           CDOBranchPoint rightPoint)

      Since:
        4.3

    - #### openDialog

          public static boolean openDialog(CDOViewOpener viewOpener,
                                           CDOBranchPoint leftPoint,
                                           CDOBranchPoint rightPoint,
                                           CDOView[] originView)

      Since:
        4.3

    - #### openDialog

          public static boolean openDialog(CDOViewOpener viewOpener,
                                           CDOTransactionOpener transactionOpener,
                                           CDOBranchPoint leftPoint,
                                           CDOBranchPoint rightPoint,
                                           CDOView[] originView)

      Since:
        4.3

    - #### openDialog

          public static boolean openDialog(CDOCommitInfo rightCommitInfo,
                                           CDOBranchPoint leftPoint)

    - #### openDialog

          public static boolean openDialog(CDOCommitInfo commitInfo)

    - #### openDialog

          public static boolean openDialog(CDOView leftView,
                                           CDOView rightView,
                                           CDOView[] originView)

    - #### openDialog

          public static boolean openDialog(CDOView leftView,
                                           CDOView rightView,
                                           CDOView[] originView,
                                           CDOViewOpener viewOpener)

      Since:
        4.3

    - #### openDialog

          public static boolean openDialog(CDOView leftView,
                                           CDOView rightView,
                                           java.util.Set<CDOID> affectedIDs)

      Since:
        4.4

    - #### openDialog

          public static boolean openDialog(CDOCompareEditorUtil.Input input,
                                           CDOView rightView)

      Since:
        4.4

    - #### createComparisonInput

          public static CDOCompareEditorUtil.Input createComparisonInput(CDOView leftView,
                                                                         CDOView rightView,
                                                                         CDOView[] originView,
                                                                         CDOViewOpener viewOpener)

      Since:
        4.3

    - #### createComparisonInput

          public static CDOCompareEditorUtil.Input createComparisonInput(CDOView leftView,
                                                                         CDOView rightView,
                                                                         java.util.Set<CDOID> affectedIDs)

      Since:
        4.4

    - #### createComparisonInput

          public static CDOCompareEditorUtil.Input createComparisonInput(CDOView leftView,
                                                                         CDOView rightView,
                                                                         org.eclipse.emf.compare.Comparison comparison)

      Since:
        4.4

    - #### runWithTitle

          public static void runWithTitle(java.lang.String title,
                                          java.lang.Runnable runnable)

      Since:
        4.4

    - #### isSuppressCommit

          public static boolean isSuppressCommit()

      Since:
        4.3

    - #### setSuppressCommit

          public static void setSuppressCommit(boolean suppressCommit)

      Since:
        4.3

    - #### addDisposeRunnables

          public static void addDisposeRunnables(java.lang.Runnable... disposeRunnables)

      Since:
        4.3

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html